services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false


  MediateSystems\MsEvent\Command\GenerateHouseOpeningCommand:
    tags:
      - name: 'console.command'
        command: 'msevent:generatehouseopening'
        description: 'Generate House Openings Cron'
        # not required, defaults to false
        hidden: false
        schedulable: true

  MediateSystems\MsEvent\Command\MoveRecordsCommand:
    tags:
      - name: 'console.command'
        command: 'msevent:moverecords'
        description: 'Move Records changed by API'
        # not required, defaults to false
        hidden: false
        schedulable: true

  MediateSystems\MsEvent\Command\MoveRecordsPublikationCommand:
    tags:
      - name: 'console.command'
        command: 'msevent:movepublikationrecords'
        description: 'Move Records from one PID to another'
        # not required, defaults to false
        hidden: false
        schedulable: true

  MediateSystems\MsEvent\Command\GenerateEventUrlsCommand:
    tags:
      - name: 'console.command'
        command: 'msevent:generateeventurls'
        description: 'Generate Event URLs Cron'
        # not required, defaults to false
        hidden: false
        schedulable: true


  MediateSystems\MsEvent\Domain\Repository\HouseRepository:
    public: true

  MediateSystems\MsEvent\Domain\Repository\EventRepository:
    public: true

  dashboard.widget.event:
    class: 'MediateSystems\MsEvent\Widgets\EventWidget'
    arguments:
      $buttonProvider: '@dashboard.buttons.t3news'
      $options:
        msoption: 'example'
    tags:
      - name: dashboard.widget
        identifier: 'event'
        groupNames: 'systemInfo'
        title: 'Event Widget'
        description: 'Status from Event Sync'
        iconIdentifier: 'content-widget-rss'
        height: 'large'
        width: 'medium'

  #MediateSystems\MsEvent\Controller\EventController:
  #  public: true
